For the complete documentation index, see llms.txt. This page is also available as Markdown.

Query contacts using filter criteria.

Required permissions: View Contacts and transactions

post
Query parameters
apiTokenstringRequired

API authentication token

Body
filterStringstringOptional
conditionobject · Args.Query.IConditionOptional
numberOfRecordsinteger · int32Optional
startRecordinteger · int32Optional
columnsstringOptional
needTotalRowCountbooleanOptional
Responses
200

OK

application/json
totalContactsinteger · int32Optional
totalReturnedinteger · int32Optional
startinteger · int32Optional
nextinteger · int32Optional
post/database/contacts/query
POST /database/contacts/query?apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Content-Type: application/json
Accept: */*
Content-Length: 173

{
  "filterString": "text",
  "condition": {},
  "numberOfRecords": 1,
  "startRecord": 1,
  "columns": "text",
  "sortFields": [
    {
      "column": "text",
      "direction": "Ascending"
    }
  ],
  "needTotalRowCount": true
}
{
  "totalContacts": 1,
  "totalReturned": 1,
  "start": 1,
  "next": 1,
  "selectedContacts": [
    {
      "referenceID": "00000000-0000-0000-0000-000000000000",
      "data": [
        {
          "fieldID": "text",
          "name": "text",
          "value": "text"
        }
      ],
      "source": "text"
    }
  ]
}

Last updated

Was this helpful?